WebStorm on Ubuntu 15.10 IBus problem

webstorm

When you install WebStorm on ubuntu 15.10 and start it at first you receive this error message:

IDEA-78860 Keyboard input sometimes is blocked when IBus is active https://youtrack.jetbrains.com/issue/IDEA-78860

Solution:
Either upgrade IBus to version 1.5.11 or add “export IBUS_ENABLE_SYNC_MODE=1” to your ~/.profile, then restart a session.

Alternatively, you can turn off IBus at System Settings | Language Support | Keyboard input method.

IDEA 15 will show a warning if an incompatible version of IBus is in use.

To resolve that i preferred to install new version of IBus and to do that i created a folder colled ibus in my Downloads folder

user@HOST:~$ mkdir ibus

After that i downloaded in the ibus directory all binary package files present here:

From the shell move in ibus folder and execute the following commands:

user@HOST:~$ sudo dpkg -i *.deb
user@HOST:~$ sudo apt-get install -f

That’s it now all is fine and WebStorm start without error.

Nicola Del Gobbo

Like what you read? Give Nicola Del Gobbo a round of applause.

From a quick cheer to a standing ovation, clap to show how much you enjoyed this story.